Subject: Re: More on CNS

From: John Delacour <[email-masked]>
Date: Tue, 7 Jun 1994 21:46:06 +0100

Just to clarify things a bit -

Wei-chang writes:

>The glyph pointed by ddfc is, to my judgement, identical with that by
>dcd1 (huo4 on my input table, but hu4 on my dictionary: "the sound of
>throw up").  So I think ddfc is duplicated.  This character is on Plain
>2 of CNS, code 4176.

Kuo4, I think, which is much more onomatopaeic!! (that is also the
pronunciation given by Ci'Hai~ (12/1977 isbn 17171.28)  What you say
concurs with what I have found

>Topologically (so to speaking), I cannot distinguish the glyphs pointed
>by c94a and a461 (wu4).  On the biggest dictionary that I have (**Please
>see appendix), I cannot find a character looks more like c94a than
>a461.  So I support Handa's guess, c94a is either incorrect or
>duplicated.

It is duplicated and means "to cut the feet off", just as it looks if you
think about it!       ___
                      ] L   Wu4! =3D Ouch!!

But see how Unicode regards these two characters in the list below..

Steve writes:-

>there are still questions about Japanese kana, the Russian alphabet, and
>Chinese characters and graphical symbols above F9D5..

The first two are clear enough, surely.  As to characters above F9D5, these
must be vendor specific or user-defined -- they do not come within the
"official" Big-5 code any more than C7FD - C8FD.

John.

The following is just for reference -- no guarantees :-)

^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^

              Table 1                         Table 2
            ^^^^^^^^^^^                    ^^^^^^^^^^^^
       US-ASCII CHARACTER SET          EXTENDED CHARACTER SET

       0  1   2  3  4  5  6  7         8  9   A  B  C  D  E  F
      _________________________       _________________________
     |  C   |                  |     |      |                  |
   0 |  o   |{ } 0  @  P  `  p |   0 |      |{ } -  -  -  -  - |
   1 |  n   | !  1  A  Q  a  q |   1 |      | -  -  -  -  -  - |
   2 |  t   | "  2  B  R  b  r |   2 |      | -  -  -  -  -  - |
   3 |  r   | #  3  C  S  c  s |   3 |      | -  -  -  -  -  - |
   4 |  o   | $  4  D  T  d  t |   4 |      | +  +  +  +  +  + |
   5 |  l   | %  5  E  U  e  u |   5 |      | +  +  +  +  +  + |
   6 |      | &  6  F  V  f  v |   6 |      | +  +  +  +  +  + |
   7 |  C   | '  7  G  W  g  w |   7 |      | +  +  +  +  +  + |
   8 |  h   | (  8  H  X  h  x |   8 |      | +  +  +  +  +  + |
   9 |  a   | )  9  I  Y  i  y |   9 |      | +  +  +  +  +  + |
   A |  r   | *  :  J  Z  j  z |   A |      | +  +  +  +  +  + |
   B |  a   | +  ;  K  [  k  { |   B |      | +  +  +  +  +  + |
   C |  c   | ,  <  L  \  l  | |   C |      | +  +  +  +  +  + |
   D |  t   | -  =3D  M  ]  m  } |   D |      | +  +  +  +  +  + |
   E |  e   | .  >  N  ^  n  ~ |   E |      | +  +  +  +  +  + |
   F |  r   | /  ?  O  _  o { }|   F |      | +  +  +  +  + { }|
     |__s___|__________________|     |______|__________________|
                    ^^^^^^^^^^^              ^^^^^^^^^^^^^^^^^^
                    |          |            | GB/Big5 1st byte |
                    |          |            |                  |
                    |_______Big5 2nd byte (=D2+=D3 only)___________|
                    ^^^^^^^^^^^              ^^^^^^^^^^^^^^^^^^

Chinese Coding Methods
^^^^^^^^^^^^^^^^^^^^^^

GB
^^
A1A1 - A1FE   symbols
A2B1 - A2E2   dotted, circled and parenthesized Arabic numerals
A2E3 - A2E4   not used
A2E5 - A2EE   parenthesized Chinese numerals
A2EF - A2F0   not used
A2B1 - A2E2   dotted, circled and parenthesized Arabic numerals
A2F1 - A2FC   Roman numerals I to XII
A2FD - A2FE   not used
A3A1 - A3FE   two byte representations of US-ASCII characters
A4A1 - A4F3   Hiragana characters
A4F4 - A4FE   not used
A5A1 - A5F6   Katakana characters
A5F7 - A5FE   not used
A6A1 - A6D8   Greek characters
A6D9 - A6FE   not used
A7A1 - A7F1   Cyrillic characters
A7F2 - A7FE   not used
A8A1 - A8BA   Accented Latin characters
A8BB - A8C4   not used
A8C5 - A8E9   Bopomofo (National Phonetic) characters
A8EA - A9A3   not used
A9A4 - A9EF   Box drawings
A9F1 - AFFE   not used
B0A1 - D7F9   Simplified han`zi` ordered phonetically
D7FA - D7FE   not used
D8A1 - F7FE   Simplified han`zi` ordered by radical + stroke-count

Big5
^^^^
Each character in the Big5 code comprises one byte in the range
A1 to FE (94 characters) followed by one byte either in this
range or in the range 40 to 7E (63 characters)

A140 - A258     Punctuation marks, various signs and symbols
A259 - A261     Han`zi` (9 characters)
A262 - A2AE     Various graphic symbols
A2AF - A2B8     Full width digits
A2B9 - A2C2     Roman numerals
A2C3 - A2CB     Hang=D5Zhou numerals
A2B9 - A2C2     Short form 10, 20, 30
A2CF - A2E8     Full width Latin upper case characters
A2E9 - A343     Full width Latin lower case characters
A244 - A25B     Full width Greek upper case characters
A35C - A373     Full width Greek lower case characters
A374 - A3BA     Bopomofo alphabet
A3BB - A3BF     Pin yin tone marks
A3C1 - A3E1     (Special technical symbols)
A3E2 - A3FE     (??)
A440 - C67E     Han`zi` PLANE 1
C6A1 - C7B0     Hiragana and Katakana
C7B1 - C7C7     Cyrillic alphabet
C7E9 - C7FC     Circled and parenthesized digits
C7FD - C8FD     Unused
C940 - C949     Han`zi` PLANE 2
C94A            CJK Compatibility Ideograph-FA0C (WU4 =3D cut the feet off)
C94B - DDFB     Han`zi` PLANE 2
DDFC            CJK Compatibility Ideograph-FA0D  (KUO4 =3D vomit)
DDFD - F9D5     Han`zi` PLANE 2